Loading...
Searching...
No Matches
wrapping.hpp File Reference

Go to the source code of this file.

## Classes

struct | jni::PrimitiveTypeWrapper< T >
struct | jni::Wrapper< jboolean >
struct | jni::Wrapper< jbyte >
struct | jni::Wrapper< jchar >
struct | jni::Wrapper< jshort >
struct | jni::Wrapper< jint >
struct | jni::Wrapper< jlong >
struct | jni::Wrapper< jfloat >
struct | jni::Wrapper< jdouble >
struct | jni::Wrapper< const char16_t * >
struct | jni::Wrapper< char16_t * >
struct | jni::Wrapper< jsize >
struct | jni::ReferenceTypeWrapper< W, U >
struct | jni::Wrapper< jobject * >
struct | jni::Wrapper< jclass * >
struct | jni::Wrapper< jstring * >
struct | jni::Wrapper< jthrowable * >
struct | jni::Wrapper< jarray< jobject > * >
struct | jni::Wrapper< jarray< jboolean > * >
struct | jni::Wrapper< jarray< jbyte > * >
struct | jni::Wrapper< jarray< jchar > * >
struct | jni::Wrapper< jarray< jshort > * >
struct | jni::Wrapper< jarray< jint > * >
struct | jni::Wrapper< jarray< jlong > * >
struct | jni::Wrapper< jarray< jfloat > * >
struct | jni::Wrapper< jarray< jdouble > * >
struct | jni::Wrapper< jfieldID * >
struct | jni::Wrapper< jmethodID * >
struct | jni::ReferenceTypeUnwrapper< W, U >
struct | jni::Wrapper< jobject >
struct | jni::Wrapper< jclass >
struct | jni::Wrapper< jstring >
struct | jni::Wrapper< jthrowable >
struct | jni::Wrapper< jarray< jobject > >
struct | jni::Wrapper< jarray< jboolean > >
struct | jni::Wrapper< jarray< jbyte > >
struct | jni::Wrapper< jarray< jchar > >
struct | jni::Wrapper< jarray< jshort > >
struct | jni::Wrapper< jarray< jint > >
struct | jni::Wrapper< jarray< jlong > >
struct | jni::Wrapper< jarray< jfloat > >
struct | jni::Wrapper< jarray< jdouble > >
struct | jni::Wrapper< jfieldID >
struct | jni::Wrapper< jmethodID >
struct | jni::Wrapper< JNINativeMethod< R(JNIEnv *, T *, Args...) > >
struct | jni::Wrapper< version >

## Namespaces

namespace | jni

## Typedefs

template<class T>
using | jni::UnwrappedType = decltype(Unwrap<T>(std::declval<T>()))

## Functions

template<class W, class U>
auto | jni::Wrap (U &&u)
template<class W>
auto | jni::Unwrap (W &&w)